Subject: Re: bug#10753: 24.0.50; Vc-rcs under Windows does not make buffer or file read-only when file is checked in

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Feb 2012 20:11:37 +0200

> From: Mathias Dahl <[email-masked]>
> Date: Tue, 7 Feb 2012 11:40:13 +0100
> 
> C-x C-f c:/test.txt RET
> type some data and save with C-x C-s
> C-x v v
> Chose RCS as backend.
> Notice that the buffer is not read-only, and the same goes for the file.
> 
> This is dangerous since I by mistake started to edit a file, thinking it
> was checked out. When I then did C-x v v RCS checked out the previous
> version on top of my working files, overwriting all my changes.

This rings a bell.  Please see if this is not a duplicate of 8924.
You can find the RCS binaries I mentioned there on this page:

  http://sourceforge.net/projects/ezwinports/files/